Gecode::Int::TaskTraits< Cumulative::OptFlexTask > Class Reference

Task traits for optional flexible tasks. More...

`#include <cumulative.hh>`

## Public Types

typedef Cumulative::OptFlexTaskFwd | TaskViewFwd
| The forward task view type.
typedef Cumulative::OptFlexTaskBwd | TaskViewBwd
| The backward task view type.
typedef Cumulative::ManFlexTask | ManTask
| The corresponding mandatory task.
typedef Unary::OptFlexTask | UnaryTask
| The corresponding unary task type.

## Detailed Description

Task traits for optional flexible tasks.

Definition at line 530 of file cumulative.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Cumulative::OptFlexTaskFwd Gecode::Int::TaskTraits< Cumulative::OptFlexTask >::TaskViewFwd

The forward task view type.

Definition at line 533 of file cumulative.hh.

## TaskViewBwd

typedef Cumulative::OptFlexTaskBwd Gecode::Int::TaskTraits< Cumulative::OptFlexTask >::TaskViewBwd

The backward task view type.

Definition at line 535 of file cumulative.hh.

## ManTask

typedef Cumulative::ManFlexTask Gecode::Int::TaskTraits< Cumulative::OptFlexTask >::ManTask

The corresponding mandatory task.

Definition at line 537 of file cumulative.hh.

## UnaryTask

typedef Unary::OptFlexTask Gecode::Int::TaskTraits< Cumulative::OptFlexTask >::UnaryTask

The corresponding unary task type.

Definition at line 539 of file cumulative.hh.

The documentation for this class was generated from the following file:

- gecode/int/cumulative.hh